<form #editProfileForm="ngForm" *ngIf=" isStudent() " (ngSubmit)="editProfileForm.valid && onSubmit(editProfileForm)">
  Please rename your picture {{userDetails.username}} before upload<br>
  <input type="file" name="image" value="userDetails.username" #image="ngModel" [(ngModel)]="userDetails.image"
    ng2FileSelect [uploader]="uploader" accept="image/x-png,image/gif,image/jpeg" />

  <input type="text" #username="ngModel" [(ngModel)]="userDetails.username" name="username" placeholder="username">
  <input type="text" #nom="ngModel" [(ngModel)]="userDetails.nom" name="nom" placeholder="nom">
  <input type="text" #sexe="ngModel" [(ngModel)]="userDetails.sexe" name="sexe" placeholder="sexe">
  <input type="text" #prenom="ngModel" [(ngModel)]="userDetails.prenom" name="prenom" placeholder="prenom">
  <input type="text" #email="ngModel" [(ngModel)]="userDetails.email" name="email" placeholder="username">
  <label for="section">Section </label>
  <select value='{{userDetails.section}}' #section="ngModel" [(ngModel)]="userService.selectedUser.section"
    name="section" placeholder="section" >

    <option value="GI1S1">GI1S1</option>
    <option value="GI1S2">GI1S2</option>
    <option value="GI1S3">GI1S3</option>

    <option value="GI1S4">GI1S4</option>
    <option value="GI2S1">GI2S1</option>
    <option value="GI2S2">GI2S2</option>
    <option value="GI2S3">GI2S3</option>
    <option selected value="GI2S4">GI2S4</option>
    <option value="GI3S1">GI3S1</option>
    <option value="GI3S2">GI3S2</option>
    <option value="GI3S3">GI3S3</option>
    <option value="GI3S4">GI3S4</option>
  </select><br>
  <input type="text" #num_tel="ngModel" [(ngModel)]="userDetails.num_tel" name="num_tel" placeholder="Numéro Téléphone">
  <input type="text" #adresse="ngModel" [(ngModel)]="userDetails.adresse" name="adresse" placeholder="adresse">
  <select multiple="multiple" name="skills" [(ngModel)]="userDetails.skills" #skills="ngModel" class="form-control"
    id="exampleFormControlSelect2" selected="userDetails.skills">
    <option value="" disabled selected>Select Name</option>
    <option *ngFor="let skill of skills1" [value]="skill.name">{{skill.name}}</option>
  </select>

  <input type="submit" value="Edit" (click)="uploader.uploadAll()">
</form>
<form #editProfileForm="ngForm" *ngIf=" isProf() " (ngSubmit)="editProfileForm.valid && onSubmit(editProfileForm)">
  Please rename your picture {{userDetails.username}} before upload<br>
  <input type="file" name="image" value="userDetails.username" #image="ngModel" [(ngModel)]="userDetails.image"
    ng2FileSelect [uploader]="uploader" accept="image/x-png,image/gif,image/jpeg" />

  <input type="text" #username="ngModel" [(ngModel)]="userDetails.username" name="username" placeholder="username">
  <input type="text" #nom="ngModel" [(ngModel)]="userDetails.nom" name="nom" placeholder="nom">
  <input type="text" #prenom="ngModel" [(ngModel)]="userDetails.prenom" name="prenom" placeholder="prenom">

  <input type="text" #sexe="ngModel" [(ngModel)]="userDetails.sexe" name="sexe" placeholder="sexe">
  <input type="text" #email="ngModel" [(ngModel)]="userDetails.email" name="email" placeholder="username">

  <input type="text" #num_tel="ngModel" [(ngModel)]="userDetails.num_tel" name="num_tel" placeholder="Numéro Téléphone">
  <input type="text" #adresse="ngModel" [(ngModel)]="userDetails.adresse" name="adresse" placeholder="adresse">
  

  <input type="submit" value="Edit" (click)="uploader.uploadAll()">
</form>
<form #editProfileForm="ngForm" *ngIf=" isIndustrial() " (ngSubmit)="editProfileForm.valid && onSubmit(editProfileForm)">
  Please rename your picture {{userDetails.username}} before upload<br>
  <input type="file" name="image" value="userDetails.nom" #image="ngModel" [(ngModel)]="userDetails.image"
    ng2FileSelect [uploader]="uploader" accept="image/x-png,image/gif,image/jpeg" />

  <input type="text" #nom_societe="ngModel" [(ngModel)]="userDetails.nom_societe" name="nom_societe" placeholder="nom_societe">
  <input type="text" #nom="ngModel" [(ngModel)]="userDetails.nom" name="nom" placeholder="nom">
  <input type="text" #prenom="ngModel" [(ngModel)]="userDetails.prenom" name="prenom" placeholder="prenom">

  <input type="text" #site_web="ngModel" [(ngModel)]="userDetails.site_web" name="site_web" placeholder="site_web">
  <input type="text" #email="ngModel" [(ngModel)]="userDetails.email" name="email" placeholder="username">
  
  <input type="text" #num_tel="ngModel" [(ngModel)]="userDetails.num_tel" name="num_tel" placeholder="Numéro Téléphone">
  <input type="text" #adresse="ngModel" [(ngModel)]="userDetails.adresse" name="adresse" placeholder="adresse">
 
  <input type="submit" value="Edit" (click)="uploader.uploadAll()">
</form>
<!-- Success message -->
<div class="success" *ngIf="showSuccessMessage">
  Saved Successfully
</div>
<div class="alert" *ngIf="serverErrorMessages">
  {{serverErrorMessages}}
</div>
<script type="text/javascript">
  $(".tm-input").tagsManager();
</script>